AC_DEFUN([BEAM_BLAS],
[
AC_MSG_CHECKING([linking against BLAS ddot_,dgemv_])
AC_TRY_LINK([extern "C" {
double ddot_(int* n, double* x, int* incx, double* y, int* incy);
void dgemv_(char* trans, int* m, int* n, double* alpha, double* A,
            int* LDA, double* x, int* incx, double* beta, double* y, int* incy);
}],
[int n; double x; char c;
 x = ddot_(&n, &x, &n, &x, &n);
dgemv_(&c, &n, &n, &x, &x, &n, &x, &n, &x, &x, &n);
],
[blas_link=yes])

if test "X$blas_link" != "X"; then
  AC_DEFINE(BEAM_HAVE_BLAS,,[define if blas library found])
  AC_DEFINE(BEAM_F77_UNDERSCORE,,[define if f77 symbols have trailing underscore])
fi

if test "X$blas_link" != "Xyes"; then
echo "no"
echo "!!! Linking against BLAS doesn't appear to work. !!!"
echo " "
echo "If you wish to enable BLAS, specify a BLAS library by setting"
echo "the LDFLAGS/LIBS variables."
echo "example: % configure LDFLAGS=-L/usr/lib LIBS=-lblas"
echo " "
echo " "
else
echo "yes"
echo " "
fi

])
