/*--------------------------------------------------------------------*/
/*    Copyright 2005 Sandia Corporation.                              */
/*    Under the terms of Contract DE-AC04-94AL85000, there is a       */
/*    non-exclusive license for use of this work by or on behalf      */
/*    of the U.S. Government.  Export of this program may require     */
/*    a license from the United States Government.                    */
/*--------------------------------------------------------------------*/

//
// This is a unit-test program to test the functions and classes that
// make up the beam program.
//

#include "fei_mpi.h"
#include "fei_iostream.hpp" 

//we need to include some 'test_utils' headers which are used for
//setting up the data for the hex-beam example problem.

#include "HexBeam.hpp"
#include "HexBeamCR.hpp"


//fei_test_utils.hpp declares things like the intialize_mpi function.

#include "fei_test_utils.hpp"

#include "utest_runner.hpp"

//==============================================================================
//Here's the main...
//==============================================================================
int main(int argc, char** argv)
{
  MPI_Comm comm;
  int numProcs, localProc;
  fei_test_utils::initialize_mpi(argc, argv, localProc, numProcs);
  comm = MPI_COMM_WORLD;

  beam_utest::runner testrunner;
  testrunner.run_tests(comm);

#ifndef FEI_SER
    MPI_Finalize();
#endif

  return(0);
}

